aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-jpenable
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-jpenable')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-jpenable19
1 files changed, 19 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-jpenable b/framework/src/onos/tools/test/bin/onos-jpenable
new file mode 100755
index 00000000..ba3492ae
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-jpenable
@@ -0,0 +1,19 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Remotely instruments the ONOS JVM for profiling with jprofiler.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+export JPROFILER_ROOT=${JPROFILER_ROOT:-/opt/jprofiler8}
+
+ssh $ONOS_USER@${1:-$OCI} "
+ pid=\$(ps -ef | grep karaf.jar | grep -v grep | cut -c10-15 | tr -d ' ')
+ if [ -n \"\$pid\" ]; then
+ echo \"Enabling profiling for ONOS process \$pid on \$(hostname)...\"
+ $JPROFILER_ROOT/bin/jpenable --gui --pid=\$pid --port=8849
+ else
+ echo \"ONOS process is not running...\"
+ exit 1
+ fi
+"